Skip to main content
PUT
/
v3
/
scheme-registrations
/
{scheme_registration_id}
Update an existing scheme registration
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/scheme-registrations/{scheme_registration_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "expires_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "skills_register_scheme_categories": {
        "data": [
          {
            "type": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ]
      }
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "expires_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "user": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "skills_register_scheme": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>"
        }
      },
      "skills_register_scheme_categories": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

scheme_registration_id
string<uuid>
required

The unique identifier for the scheme registration.

Body

application/vnd.api+json

The scheme registration to update.

data
object
required

Response

Get a scheme registration.

JSON API response object

data
object
required

A scheme registration

jsonapi
object
required